## org.eclipse.jst.pagedesigner.dtmanager
Class DefaultDTInfo

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.DefaultDTInfo

All Implemented Interfaces:
  IDTInfo

    public class DefaultDTInfo

extends java.lang.Object
implements IDTInfo

Default IDTInfo implementation.

Provisional API - subject to change

Constructor Summary
`DefaultDTInfo(DTInfo dtInfo, Trait trait)` Constructs an instance that wraps the specified DTInfo instance.

Method Summary
`TagConvertInfo` `getTagConvertInfo()` Gets the encapsulated TagConvertInfo instance.
`TagDecorateInfo` `getTagDecorateInfo(java.lang.String id)` Gets an encapsulated TagDecorateInfo instance matching specified ID.
`java.util.List` `getTagDecorateInfos()` Gets the collection of encapsulated TagDecorateInfo instances.
`Trait` `getTrait()` Gets the Trait instance that was queried to load the metadata.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTInfo

    public DefaultDTInfo(DTInfo dtInfo,
                         Trait trait)

  Constructs an instance that wraps the specified DTInfo instance.

  Parameters:
    `dtInfo` - DTInfo (EMF model object) instance.
    `trait` - Trait instance that was queried to load this data.

Method Detail

### getTagConvertInfo

    public TagConvertInfo getTagConvertInfo()

  Description copied from interface: `IDTInfo`
  Gets the encapsulated TagConvertInfo instance.

  Specified by:
    `getTagConvertInfo` in interface `IDTInfo`
  Returns:
    TagConvertInfo instance.

### getTagDecorateInfos

    public java.util.List getTagDecorateInfos()

  Description copied from interface: `IDTInfo`
  Gets the collection of encapsulated TagDecorateInfo instances.

  Specified by:
    `getTagDecorateInfos` in interface `IDTInfo`
  Returns:
    Collection of TagDecorateInfo instances.

### getTagDecorateInfo

    public TagDecorateInfo getTagDecorateInfo(java.lang.String id)

  Description copied from interface: `IDTInfo`
  Gets an encapsulated TagDecorateInfo instance matching specified ID.

  Specified by:
    `getTagDecorateInfo` in interface `IDTInfo`
  Parameters:
    `id` - ID of desired TagDecorateInfo instance.
  Returns:
    TagDecorateInfo instance matching specified ID.

### getTrait

    public Trait getTrait()

  Description copied from interface: `IDTInfo`
  Gets the Trait instance that was queried to load the metadata.

  Specified by:
    `getTrait` in interface `IDTInfo`
  Returns:
    Trait instance that was queried to load the metadata.